include	clib.inc
include	conio.inc
include	stdio.inc

DPROC	@ermsg
	mov	dx,ax	; AX = format
	xor	ax,ax
PEND	@ermsg

DPROC	@ermsgt
	test	ax,ax	; AX = title, DX = format
	jnz	ermsgt_00
	mov	ax,offset cp_error
    ermsgt_00:
	mov	bx,ax
	mov	ax,dx
	call    @vsbufin
	push	ds
	push    bx
	push	_D_STDDLG or _D_STERR
	call	tmsgbox
	xor	ax,ax
	ret
PEND	@ermsgt

	END
